/**
* DynModal v1.0.2 (https://github.com/jcoon97/dynmodal)
* Created by James Coon (https://github.com/jcoon97)
* Copyright 2018 James Coon and all other Github Contributors
* Licensed under GNU/GPLv3 (https://www.gnu.org/licenses/gpl-3.0.en.html)
**/
"use strict";var DynModal;!function(t){var o=function(){function o(o){if(this.DEFAULTS={centerVertically:!1,removeAnimation:!1,size:t.ModalSize.DEFAULT,onBuilt:null,onShown:null,onHidden:null},!window.jQuery)throw"DynModal must be loaded after jQuery is already present on the page.";this.id=1,this.currentModal=null,this.options=$.extend({},this.DEFAULTS,o),this.sectionManager=new t.SectionManager}return o.prototype.build=function(){var o=this,n=new t.ModalBuilder(this.id).addClass(t.ModalSection.DIALOG,this.options.centerVertically?"modal-dialog-centered":"").removeClass(t.ModalSection.BASE,this.options.removeAnimation?"fade":"").addClass(t.ModalSection.DIALOG,this.options.size);if(this.sectionManager.has(t.SectionKey.HEADER_TITLE)&&(n=n.setText(t.ModalSection.HEADER_TITLE,this.sectionManager.get(t.SectionKey.HEADER_TITLE))),this.sectionManager.isTrue(t.SectionKey.HEADER_SHOW_CLOSE_BUTTON)){var e=$(t.ModalTemplate.HEADER.CLOSE_BUTTON);n=n.append(t.ModalSection.HEADER,!1,e)}if(this.sectionManager.has(t.SectionKey.BODY)){var i=$(this.sectionManager.get(t.SectionKey.BODY));n=n.append(t.ModalSection.BODY,!0,i)}var a=$(t.ModalTemplate.FOOTER.BASE);return this.sectionManager.has(t.SectionKey.FOOTER)?(a.empty(),this.sectionManager.get(t.SectionKey.FOOTER).forEach(function(t){var n=$(t);void 0!=n.attr("data-close")&&(n.removeAttr("data-close"),n.attr("data-dismiss","modal"),n.attr("data-target","dynmodal-"+o.id)),n.appendTo(a)})):a.append(t.ModalTemplate.FOOTER.CLOSE),n=n.append(t.ModalSection.CONTENT,!1,a),this.currentModal=n.create(),"function"==typeof this.options.onBuilt&&this.options.onBuilt.call(this,this),this},o.prototype.buildAndShow=function(){this.build(),this.show()},o.prototype.getId=function(){return this.id},o.prototype.getModal=function(){if(null==this.currentModal)throw"You must build the modal first before you may retrieve its instance.";return this.currentModal},o.prototype.hide=function(t){var o=this,n=this.getModal();t&&n.modal("hide"),n.on("hidden.bs.modal",function(){"function"==typeof o.options.onHidden&&o.options.onHidden.call(o,o.getId()),n.remove(),o.id+=1,o.currentModal=null})},o.prototype.show=function(){var t=this;if(null==this.currentModal)throw"You must call the #build() function before you may show the modal";var o=this.getModal();$("body").append(o),o.modal("show"),o.on("hide.bs.modal",function(){return t.hide(!1)}),o.on("shown.bs.modal",function(){"function"==typeof t.options.onShown&&t.options.onShown.call(t,t.getId(),t.getModal())})},o.prototype.setBody=function(o){if("function"!=typeof o)throw"You must pass in an anonymous function as the argument";var n=o.call();if(!("string"==typeof n||n instanceof jQuery))throw"You must return a valid object. Please review the documentation.";return n instanceof jQuery&&(n=n.clone()),this.sectionManager.add(t.SectionKey.BODY,n),this},o.prototype.setFooter=function(o){return this.sectionManager.add(t.SectionKey.FOOTER,o),this},o.prototype.setHeaderTitle=function(o){return this.sectionManager.add(t.SectionKey.HEADER_TITLE,o),this},o.prototype.setShowCloseButton=function(o){return this.sectionManager.add(t.SectionKey.HEADER_SHOW_CLOSE_BUTTON,o),this},o.fromTemplate=function(t){return $($(t).prop("content"))},o}();t.Core=o}(DynModal||(DynModal={})),function(t){!function(t){t.BASE="",t.DIALOG="div.modal-dialog",t.CONTENT="div.modal-content",t.HEADER="div.modal-header",t.HEADER_TITLE="div.modal-header h5.modal-title",t.BODY="div.modal-body"}(t.ModalSection||(t.ModalSection={}));var o=function(){function o(o){this.isNull=function(t,o,n){void 0==t||0==t.length?o():n()},this.isTrue=function(t,o,n){t?o():n()};var n=$(t.ModalTemplate.DIALOG);n.attr("id","dynmodal-"+o),this.$modal=n}return o.prototype.addClass=function(t,o){var n=this;return this.isNull(t,function(){return n.$modal.addClass(o)},function(){return n.$modal.find(t).addClass(o)}),this},o.prototype.append=function(t,o,n){var e=this;return this.isNull(t,function(){return e.isTrue(o,function(){return e.$modal.empty().append(n)},function(){return e.$modal.append(n)})},function(){return e.isTrue(o,function(){return e.$modal.find(t).empty().append(n)},function(){return e.$modal.find(t).append(n)})}),this},o.prototype.create=function(){return this.$modal},o.prototype.removeClass=function(t,o){var n=this;return this.isNull(t,function(){return n.$modal.removeClass(o)},function(){return n.$modal.find(t).removeClass(o)}),this},o.prototype.setText=function(t,o){var n=this;return this.isNull(t,function(){return n.$modal.text(o)},function(){return n.$modal.find(t).text(o)}),this},o}();t.ModalBuilder=o}(DynModal||(DynModal={})),function(t){!function(t){t.DEFAULT="",t.SMALL="modal-sm",t.LARGE="modal-lg"}(t.ModalSize||(t.ModalSize={}))}(DynModal||(DynModal={})),function(t){t.ModalTemplate={DIALOG:"<div class='modal fade' tabindex='-1' role='dialog' aria-hidden='true'>   <div class='modal-dialog' role='document'>       <div class='modal-content'>           <div class='modal-header'>               <h5 class='modal-title'>Default Title</h5>           </div>           <div class='modal-body'>               <p>This is the default body placeholder for DynModal modals.</p><br />               <p>Please use DynModal#setBody(function) to change the contents of this section.</p>           </div>       </div>   </div></div>",HEADER:{CLOSE_BUTTON:"<button type='button' class='close' data-dismiss='modal' aria-label='Close'>   <span aria-hidden='true'>&times;</span></button>"},FOOTER:{BASE:"<div class='modal-footer'></div>",CLOSE:"<button type='button' class='btn btn-primary' data-dismiss='modal'>Close</button>"}}}(DynModal||(DynModal={})),function(t){!function(t){t.HEADER_TITLE="HEADER.TITLE",t.HEADER_SHOW_CLOSE_BUTTON="HEADER.SHOW_CLOSE_BUTTON",t.BODY="BODY",t.FOOTER="FOOTER"}(t.SectionKey||(t.SectionKey={}));var o=function(){function t(t){this.sections=void 0!=t?t:{}}return t.prototype.add=function(t,o){this.sections[t]=o},t.prototype.get=function(t){return this.has(t)?this.sections[t]:null},t.prototype.has=function(t){return void 0!=this.sections[t]},t.prototype.isTrue=function(t){return this.has(t)&&1==this.get(t)},t.prototype.remove=function(t){return!!this.has(t)&&(delete this.sections[t],!0)},t}();t.SectionManager=o}(DynModal||(DynModal={}));